    Gaussian function for modeling emission.

emissiongaussian

It is for use when the independent axis is in Angstroms.

>>> create_model_component("emissiongaussian", "mdl")
>>> print(mdl)

Create a component of the emissiongaussian model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.fwhm thawed 100 1.17549e-38 3.40282e+38 km/s mdl.pos frozen 5000 1.17549e-38 3.40282e+38 angstroms mdl.flux thawed 1 -3.40282e+38 3.40282e+38 mdl.skew frozen 1 1.17549e-38 3.40282e+38

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
fwhm
The full-width half-maximum of the model in km/s.
pos
The center of the gaussian, in Angstroms.
flux
The normalisation of the gaussian.
skew
The skew of the gaussian.
limit
The model is only evaluated for points that lie within limit sigma of pos. It is a hidden parameter, with a default value of 4.

Notes

The functional form of the model for points is:

f(x) = flux * exp(-0.5 * d(x)^2) / s2 if skew = 1

= 2 * flux * exp(-0.5 * d2(x)^2) / (s2 * (1 + skew))

otherwise

d(x) = (x - pos) / s

d2(x) = d(x) if x <= pos

= d(x) / skew otherwise

s2 = 2.50662828 * s

s = pos * fwhm / (2.9979e5 * 2.354820044)

and for integrated data sets the low-edge of the grid is used.

The calculation is only done for those points that are in the range:

|x - pos| < limit * sigma

Outside this range the model is set to 0.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023